import { QuestionCircleOutlined } from "@ant-design/icons"
import { Form, Input, Modal, InputNumber, Tooltip } from "antd"
import React, {useState } from "react"


/**
 * 设置名称
 * @returns 
 */
interface Props {
    data: any,
    visible?: boolean,
    onClose?: () => void,
    onChange?: (data: any) => void
    ajax?: any
}
const SubmitModal: React.FC<Props> = (props) => {

    /********************/
    const { visible, onClose, onChange, ajax, data } = props
    // const { endDate, beginDate, bidAmount } = data
    const [form] = Form.useForm()
    const [initialValues, setInitialValues] = useState<{count?:number}>({count:1})

    const handleOk = async () => {
        form.submit()
        let data = await form.validateFields()
        onChange && onChange(data)
    }

    return <Modal title="设置名称" visible={visible} confirmLoading={ajax?.loading} onOk={handleOk} onCancel={() => { onClose && onClose() }}>
        <Form
            name="basic"
            form={form}
            labelCol={{ span: 4 }}
            wrapperCol={{ span: 20 }}
            autoComplete="off"
            initialValues={{ ...initialValues }}
        >
            <Form.Item label={<strong>计划名称</strong>} name="campaignName">
                <Input placeholder="请输入计划名称" />
            </Form.Item>
            <Form.Item label={<strong>创建数量<Tooltip title='每条计划创建的数量!'><QuestionCircleOutlined /></Tooltip></strong>} name="count">
                <InputNumber placeholder="创建数量" min={1} max={30}/>
            </Form.Item>
        </Form>
    </Modal>
}

export default React.memo(SubmitModal)